Documentation>C API
Data Fields
VlIKMFilt Struct Reference

IKM quantizer.

`#include <ikmeans.h>`

## Data Fields

vl_size | M
vl_size | K
vl_size | max_niters
int | method
int | verb
vl_ikmacc_t * | centers
vl_ikmacc_t * | inter_dist

## Field Documentation

## ◆ centers

vl_ikmacc_t* VlIKMFilt::centers

centers

## ◆ inter_dist

vl_ikmacc_t* VlIKMFilt::inter_dist

centers inter-distances

## ◆ K

vl_size VlIKMFilt::K

number of centers

## ◆ M

vl_size VlIKMFilt::M

data dimensionality

## ◆ max_niters

vl_size VlIKMFilt::max_niters

Lloyd: maximum number of iterations

## ◆ method

int VlIKMFilt::method

Learning method

## ◆ verb

int VlIKMFilt::verb

verbosity level

The documentation for this struct was generated from the following file:

- ikmeans.h